Skip to content

Retrieve the Runtime Log for a single day, up to 30 days in the past. Users with the Admin: Logs: Vault Java SDK Logs permission can access these logs.

The runtime logs create entries 15 minutes after the Vault Java SDK transaction completes. If you’ve recently encountered an error which is not captured in the runtime log, wait for the transaction to finish and check again. If your log does not include appropriate data, know that your data is not lost; it is just not yet populated.

Learn more about the Vault Java SDK runtime log.

GET/api/{version}/logs/code/runtime?date=YYYY-MM-DD
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
dateThe day to retrieve the runtime log. Date is in UTC and follows the format YYYY-MM-DD. Date cannot be more than 30 days in the past.
log_formatOptional: Specify the format to download. Possible values are csv or logfile. If omitted, defaults to csv. This request always downloads a ZIP file; this parameter only changes the format of the file contained within the ZIP.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v25.1/logs/api_usage?date=2022-01-25 > file
application/octet-stream;charset=UTF-8 attachment;filename*=UTF-8''44795-SdkLog-2022-01-25.zip

On SUCCESS, Vault retrieves the log from the specified date as a .ZIP file. The HTTP Response Header Content-Type is set to application/octet-stream.